commit:     827994869ab8ef07719eb9a5937afd01c51cefd2
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  8 19:45:45 2020 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Wed Apr  8 19:45:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82799486

dev-python/pycryptodome: 3.9.7

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.96, Repoman-2.3.22

 dev-python/pycryptodome/Manifest                  |  1 +
 dev-python/pycryptodome/pycryptodome-3.9.7.ebuild | 41 +++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/pycryptodome/Manifest b/dev-python/pycryptodome/Manifest
index 7644216efda..85988ebb064 100644
--- a/dev-python/pycryptodome/Manifest
+++ b/dev-python/pycryptodome/Manifest
@@ -1,2 +1,3 @@
 DIST pycryptodome-3.6.6.tar.gz 7137656 BLAKE2B 
72a3dffa22ca4a90a6515ce0bb6939d4c11aab31793ca330523feb08f6529cbfdf3dee01b1caa4577caed1818c0227961e7f25d855b2dcfb09757beb3e0790b4
 SHA512 
ce03d9940c23ce59e19bcd795c300dbddeddd49756a4bfcc6933da66dfb8b7bedb8d6eaa2b01727c53e72c8e84dfcab2961d1580a188afa9c9451bd2099bdc61
 DIST pycryptodome-3.9.4.tar.gz 11575825 BLAKE2B 
c153fe71179d633a5722480c4c42cc133100f524a8ba9d3cd9380b7e172564c276b70b97ef36437fa3a149c418903802f410c9d1807d5d72345dffb0aa568223
 SHA512 
d99e4e431d77856ce3ae33526984cadf2fa6aa82b1f692a2ad0ae893f6a1e9538e6d71d281578e6bd733a816664d1683364c64441196cbc6ee1278f9d6eac62c
+DIST pycryptodome-3.9.7.tar.gz 15451558 BLAKE2B 
dca2cf3500d4011b8c37937c3f844db3e8e4afbec2c421552bcdc08df32ae46d8a2dadfaa2d48aac2356374f30154d439cb9e988e1035c570b0adebc58b259e1
 SHA512 
2ee8ec1094ca2b3813c25b96c71988db479b23ea2e76937275d0fd6421653efd1ce7a1e279c7a20a9de7edcb59e0927121a42112b85afc052edcd6ab2db74c26

diff --git a/dev-python/pycryptodome/pycryptodome-3.9.7.ebuild 
b/dev-python/pycryptodome/pycryptodome-3.9.7.ebuild
new file mode 100644
index 00000000000..0a10fb48bb8
--- /dev/null
+++ b/dev-python/pycryptodome/pycryptodome-3.9.7.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="A self-contained cryptographic library for Python"
+HOMEPAGE="https://www.pycryptodome.org 
https://github.com/Legrandin/pycryptodome 
https://pypi.org/project/pycryptodome/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2 Unlicense"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND="dev-libs/gmp:0
+       virtual/python-cffi[${PYTHON_USEDEP}]
+       !dev-python/pycrypto"
+BDEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}/pycryptodome-3.9.4-parallel-make.patch"
+)
+
+distutils_enable_tests setup.py
+
+python_prepare_all() {
+       # parallel make fixes
+       #  Multiple targets were compiling the same file, setuptools doesn't
+       #  understand this and you get race conditions where a file gets
+       #  overwritten while it's linking. This makes the files look like 
separate
+       #  files so this race won't happen
+       ln src/blowfish.c src/blowfish_eks.c || die
+       ln src/mont.c src/mont_math.c || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to